/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import com.tofly.base.entity.Syschildcode;
import com.tofly.pojo.CustomCode;

import java.util.List;

/**
 * 系统通用码表子级表
 *
 * @author wangjieliu
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface SyschildcodeService extends IService<Syschildcode> {



    List<CustomCode> getAll();

    boolean insert(Syschildcode syschildcode);

    boolean updateInfo(Syschildcode syschildcode);

    List<Syschildcode> getfj();

    Page<Syschildcode> getParentList(Page page,Syschildcode syschildcode);

    List<CustomCode> getBylistPcid(List<String> list);

    Page<Syschildcode> getDataPage(Page page,Syschildcode syschildcode);


}
